Debian Bug report logs - #285697
ecos: FTBFS (amd64/gcc-4.0)

version graph

Package: ecos; Maintainer for ecos is (unknown);

Reported by: Andreas Jochens <aj@andaco.de>

Date: Tue, 14 Dec 2004 23:03:01 UTC

Severity: serious

Tags: fixed, patch

Fixed in version ecos/2.0-0pre3

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#285697; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ecos: FTBFS (amd64/gcc-4.0)
Date: Tue, 14 Dec 2004 23:50:03 +0100
Package: ecos
Severity: normal
Tags: patch

With the attached patch 'ecos' can be compiled
on amd64 using gcc-4.0. It includes the patch from
BTS #280329 which was necessary to make 'ecos' compile
with gcc-3.4 as well as some gcc-4.0 specific fixes.

Regards
Andreas Jochens

diff -urN ../tmp-orig/ecos-2.0/debian/patches/020_gcc-3.4_fix ./debian/patches/020_gcc-3.4_fix
--- ../tmp-orig/ecos-2.0/debian/patches/020_gcc-3.4_fix	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/020_gcc-3.4_fix	2004-12-14 17:51:20.000000000 +0100
@@ -0,0 +1,21 @@
+diff -urN tmp/tools/src/tools/Utils/common/eCosSocket.h ecos-2.0/tools/src/tools/Utils/common/eCosSocket.h
+--- tmp/tools/src/tools/Utils/common/eCosSocket.h	2000-09-19 05:53:51.000000000 +0000
++++ ecos-2.0/tools/src/tools/Utils/common/eCosSocket.h	2004-11-03 19:29:51.822303912 +0000
+@@ -166,8 +166,6 @@
+   
+   enum   SSReadResult {SS_SOCKET_ERROR=-1,SS_SOCKET_READ=1,SS_SERIAL_ERROR=-2,SS_SERIAL_READ=2,SS_STOPPED=0};
+ 
+-protected:
+-
+   // Blocking read on one or other of the data sources:
+   // Result:  -1 - socket error occurred
+   //           1 - data read from socket
+@@ -176,6 +174,8 @@
+ 
+   static SSReadResult SSRead (CeCosSerial &serial,CeCosSocket &socket,void *pBuf,unsigned int nSize,unsigned int &nRead,bool *pbStop);
+   
++protected:
++
+   Duration m_nDefaultTimeout;
+   Duration TimeoutDuration (Duration dTimeout);
+   // Set appropriate socket options (most importantly, non-blocking mode)
diff -urN ../tmp-orig/ecos-2.0/debian/patches/021_gcc4_fix ./debian/patches/021_gcc4_fix
--- ../tmp-orig/ecos-2.0/debian/patches/021_gcc4_fix	1970-01-01 01:00:00.000000000 +0100
+++ ./debian/patches/021_gcc4_fix	2004-12-14 22:59:48.000000000 +0100
@@ -0,0 +1,218 @@
+diff -urN tmp/tools/src/tools/Utils/common/eCosSerial.cpp ecos-2.0/tools/src/tools/Utils/common/eCosSerial.cpp
+--- tmp/tools/src/tools/Utils/common/eCosSerial.cpp	2000-08-25 19:32:40.000000000 +0200
++++ ecos-2.0/tools/src/tools/Utils/common/eCosSerial.cpp	2004-12-14 17:58:20.000000000 +0100
+@@ -343,7 +343,7 @@
+ 
+ bool CeCosSerial::Close()
+ {
+-  bool rc=m_pHandle && (-1!=close((int)m_pHandle));
++  bool rc=m_pHandle && (-1!=close((long)m_pHandle));
+   m_pHandle=0;
+   return rc;
+ }
+@@ -430,7 +430,7 @@
+   TRACE(_T("Changing configuration...\n"));
+   
+   // Get current settings.
+-  if (tcgetattr((int) m_pHandle, &buf)) {
++  if (tcgetattr((long) m_pHandle, &buf)) {
+     fprintf(stderr, _T("Error: tcgetattr\n"));
+     return false;
+   }
+@@ -497,7 +497,7 @@
+   }
+   
+   // Set the new settings
+-  if (tcsetattr((int) m_pHandle, TCSADRAIN, &buf)) {
++  if (tcsetattr((long) m_pHandle, TCSADRAIN, &buf)) {
+     fprintf(stderr, _T("Error: tcsetattr\n"));
+     return false;
+   }
+@@ -506,7 +506,7 @@
+   // error if _all_ settings fail. If just a few settings are not
+   // supported, the call returns true while the hardware is set to a
+   // combination of old and new settings.
+-  if (tcgetattr((int) m_pHandle, &buf_verify)) {
++  if (tcgetattr((long) m_pHandle, &buf_verify)) {
+     fprintf(stderr, _T("Error: tcgetattr\n"));
+     return false;
+   }
+@@ -525,7 +525,7 @@
+ 
+ bool CeCosSerial::Flush (void)
+ {
+-  return 0==tcflush((int) m_pHandle, TCIOFLUSH);
++  return 0==tcflush((long) m_pHandle, TCIOFLUSH);
+ }
+ 
+ bool CeCosSerial::Read (void *pBuf,unsigned int nSize,unsigned int &nRead)
+@@ -533,7 +533,7 @@
+   
+   if (!m_bBlockingReads) {
+     nRead = 0;
+-    int n = read((int)m_pHandle, pBuf, nSize);
++    int n = read((long)m_pHandle, pBuf, nSize);
+     if (-1 == n) {
+       if (EAGAIN == errno)
+         return true;
+@@ -561,7 +561,7 @@
+   
+   fd_set rfds;
+   FD_ZERO(&rfds);
+-  FD_SET((int)m_pHandle, &rfds);
++  FD_SET((long)m_pHandle, &rfds);
+   
+   // Start with total timeout.
+   struct timeval tv;
+@@ -571,10 +571,10 @@
+   unsigned char* pData = (unsigned char*) pBuf;
+   nRead = 0;
+   while (nSize) {
+-    switch(select((int)m_pHandle + 1, &rfds, NULL, NULL, &tv)) {
++    switch(select((long)m_pHandle + 1, &rfds, NULL, NULL, &tv)) {
+     case 1:
+       {
+-        int n = read((int)m_pHandle, pData, nSize);
++        int n = read((long)m_pHandle, pData, nSize);
+         if (-1 == n && EAGAIN != errno) {
+           ERROR(_T("Read failed: %d\n"), errno);
+           return false;           // FAILED
+@@ -611,7 +611,7 @@
+ bool CeCosSerial::Write(void *pBuf,unsigned int nSize,unsigned int &nWritten)
+ {
+   bool rc;
+-  int n=write((int)m_pHandle,pBuf,nSize);
++  int n=write((long)m_pHandle,pBuf,nSize);
+   if(-1==n){
+     nWritten=0;
+     if (errno == EAGAIN)
+diff -urN tmp/tools/src/tools/Utils/common/eCosSocket.cpp ecos-2.0/tools/src/tools/Utils/common/eCosSocket.cpp
+--- tmp/tools/src/tools/Utils/common/eCosSocket.cpp	2003-01-26 00:07:53.000000000 +0100
++++ ecos-2.0/tools/src/tools/Utils/common/eCosSocket.cpp	2004-12-14 19:38:49.000000000 +0100
+@@ -99,7 +99,7 @@
+ m_nSock(-1),
+ m_nClient(0)
+ {
+-  VTRACE(_T("Create socket instance %08x\n"),(unsigned int)this);
++  VTRACE(_T("Create socket instance %08lx\n"),(unsigned long)this);
+ }
+ 
+ CeCosSocket::CeCosSocket (int sock /*result of previous call of Listen*/, bool *pbStop):
+@@ -107,7 +107,7 @@
+ m_nSock(-1),
+ m_nClient(0)
+ {
+-  VTRACE(_T("Create socket instance %08x\n"),(unsigned int)this);
++  VTRACE(_T("Create socket instance %08lx\n"),(unsigned long)this);
+   Accept(sock,pbStop);
+ }
+ 
+@@ -116,7 +116,7 @@
+ m_nSock(-1),
+ m_nClient(0)
+ {
+-  VTRACE(_T("Create socket instance %08x\n"),(unsigned int)this);
++  VTRACE(_T("Create socket instance %08lx\n"),(unsigned long)this);
+   Connect(pszHostPort,dTimeout);
+ }
+ 
+@@ -315,7 +315,7 @@
+ CeCosSocket::~CeCosSocket()
+ {
+   Close();
+-  VTRACE(_T("Delete socket instance %08x\n"),(unsigned int)this);
++  VTRACE(_T("Delete socket instance %08lx\n"),(unsigned long)this);
+ }
+ 
+ bool CeCosSocket::CloseSocket(int &sock)
+diff -urN tmp/tools/src/tools/Utils/common/eCosTrace.cpp ecos-2.0/tools/src/tools/Utils/common/eCosTrace.cpp
+--- tmp/tools/src/tools/Utils/common/eCosTrace.cpp	2000-04-18 23:51:56.000000000 +0200
++++ ecos-2.0/tools/src/tools/Utils/common/eCosTrace.cpp	2004-12-14 20:28:49.000000000 +0100
+@@ -64,7 +64,7 @@
+       fclose(OutInfo.f);
+     }
+     if(nVerbosity>=TRACE_LEVEL_TRACE){
+-      _ftprintf(stderr,_T("Output -> %s (%08x)\n"),pszFilename,(unsigned int)f);
++      _ftprintf(stderr,_T("Output -> %s (%08lx)\n"),pszFilename,(unsigned long)f);
+     }
+     OutInfo.f=f;
+     OutInfo.strFilename=pszFilename;
+diff -urN tmp/tools/src/tools/configtool/standalone/wxwin/packagesdlg.cpp ecos-2.0/tools/src/tools/configtool/standalone/wxwin/packagesdlg.cpp
+--- tmp/tools/src/tools/configtool/standalone/wxwin/packagesdlg.cpp	2003-03-28 13:06:06.000000000 +0100
++++ ecos-2.0/tools/src/tools/configtool/standalone/wxwin/packagesdlg.cpp	2004-12-14 22:39:19.193760064 +0100
+@@ -504,10 +504,10 @@
+             
+             // Remove
+             int toDelete =  from -> FindString(str);
+-            int itemIndex = -1;
++            long itemIndex = -1;
+             if (toDelete > -1)
+             {
+-                itemIndex = (int) from -> GetClientData(toDelete);
++                itemIndex = (long) from -> GetClientData(toDelete);
+                 from -> Delete(toDelete);
+             }
+             
+@@ -686,7 +686,7 @@
+         wxString str = versionChoice->GetString(nIndex);
+         
+         // itemIndex is the index into the list of item names. It gets stored with all the listbox items.
+-        int itemIndex = (int) pListBox->GetClientData((*selected)[nIndex]);
++        long itemIndex = (long) pListBox->GetClientData((*selected)[nIndex]);
+         m_currentVersions[(size_t)itemIndex] = str;
+     }
+ }
+@@ -985,7 +985,7 @@
+             
+             // retrieve the dialog item array index for use in
+             // comparing current version strings
+-            const int nVersionIndex = (int) pListBox->GetClientData ((*selections)[nIndex]);
++            const long nVersionIndex = (long) pListBox->GetClientData ((*selections)[nIndex]);
+             
+             // retrieve the installed version array
+             
+diff -urN tmp/tools/src/tools/configtool/standalone/wxwin/propertywin.cpp ecos-2.0/tools/src/tools/configtool/standalone/wxwin/propertywin.cpp
+--- tmp/tools/src/tools/configtool/standalone/wxwin/propertywin.cpp	2001-06-02 00:16:30.000000000 +0200
++++ ecos-2.0/tools/src/tools/configtool/standalone/wxwin/propertywin.cpp	2004-12-14 22:49:29.000000000 +0100
+@@ -274,7 +274,7 @@
+                     void *p;
+                     p = (void*) map.Delete(strName);
+                     
+-                    p=(void *)((int)p+1);
++                    p=(void *)((long)p+1);
+                     map.Put(strName, (wxObject*) p);
+                     
+                     std::vector<std::string>::const_iterator argv_i;
+@@ -289,7 +289,7 @@
+                         }
+                     }
+                     // the list control appears to display a maximum of 256 characters
+-                    int nIndex=SetItem(strName, strPropertyArgs, GetItemCount(), (int)p);
++                    int nIndex=SetItem(strName, strPropertyArgs, GetItemCount(), (long)p);
+                     SetItemData(nIndex, (long) prop);
+                     
+                     // display the exclamation icon if the property is in a conflicts list
+diff -urN tmp/tools/src/tools/ecostest/common/TestResource.cpp ecos-2.0/tools/src/tools/ecostest/common/TestResource.cpp
+--- tmp/tools/src/tools/ecostest/common/TestResource.cpp	2000-04-18 23:51:58.000000000 +0200
++++ ecos-2.0/tools/src/tools/ecostest/common/TestResource.cpp	2004-12-14 22:57:08.801155024 +0100
+@@ -60,7 +60,7 @@
+   m_Target(target)
+ {
+   CeCosSocket::ParseHostPort(pszHostPort,m_strHost,m_nPort);
+-  VTRACE(_T("@@@ Created resource %08x %s\n"),(unsigned int)this,(LPCTSTR)Image());
++  VTRACE(_T("@@@ Created resource %08lx %s\n"),(unsigned long)this,(LPCTSTR)Image());
+   Chain();
+ }
+ 
+diff -urN tmp/tools/src/tools/ecostest/common/eCosTestDownloadFilter.cpp ecos-2.0/tools/src/tools/ecostest/common/eCosTestDownloadFilter.cpp
+--- tmp/tools/src/tools/ecostest/common/eCosTestDownloadFilter.cpp	2000-06-23 19:06:32.000000000 +0200
++++ ecos-2.0/tools/src/tools/ecostest/common/eCosTestDownloadFilter.cpp	2004-12-14 20:27:41.000000000 +0100
+@@ -291,7 +291,7 @@
+ 
+         int resend = 1;
+         const unsigned char* write_ptr = (const unsigned char*) buf2.Data();
+-        int write_len = (int)p-(int)buf2.Data();
++        int write_len = (long)p - (long)buf2.Data();
+         while (resend)
+         {
+             unsigned int __written;



Severity set to `serious'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#285697; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #12 received at 285697@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Masato Taruishi <taru@debian.org>
Cc: 280329@bugs.debian.org, 285697@bugs.debian.org, 304788@bugs.debian.org
Subject: NMU of ecos
Date: Fri, 5 Aug 2005 22:27:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

Please find attached the difference between version 2.0-0pre2.1 and
2.0-0pre2.2 of ecos.

Bye,
Aurelien


-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian GNU/Linux developer | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[ecos_2.0-0pre2.2.NMU.diff (text/plain, attachment)]

Tags added: fixed Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 285697-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 285697-close@bugs.debian.org
Subject: Bug#285697: fixed in ecos 2.0-0pre3
Date: Sat, 16 Sep 2006 10:32:08 -0700
Source: ecos
Source-Version: 2.0-0pre3

We believe that the bug you reported is fixed in the latest version of
ecos, which is due to be installed in the Debian FTP archive:

ecos-doc_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos-doc_2.0-0pre3_all.deb
ecos_2.0-0pre3.diff.gz
  to pool/main/e/ecos/ecos_2.0-0pre3.diff.gz
ecos_2.0-0pre3.dsc
  to pool/main/e/ecos/ecos_2.0-0pre3.dsc
ecos_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos_2.0-0pre3_all.deb
ecosconfig_2.0-0pre3_i386.deb
  to pool/main/e/ecos/ecosconfig_2.0-0pre3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285697@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated ecos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Sep 2006 17:29:43 +0200
Source: ecos
Binary: ecos-doc ecosconfig ecos
Architecture: source all i386
Version: 2.0-0pre3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 ecos       - Deeply embedded operating system
 ecos-doc   - Documentation for eCos
 ecosconfig - eCos host-side software
Closes: 230232 280329 285697 304788 327838 342960 356970 378420
Changes: 
 ecos (2.0-0pre3) unstable; urgency=low
 .
   * QA upload.
   * Set maintainer to Debian QA Group.
   * Transition to tcl8.4 (Closes: #378420).
   * Acknowlege NMUs
     (Closes: #230232, #280329, #285697, #327838, #304788, #356970, #342960).
Files: 
 1a2619b571b5636c98ec45c4bc806495 684 devel optional ecos_2.0-0pre3.dsc
 e59ca784d753e3219cbb8cb1da4254e0 328559 devel optional ecos_2.0-0pre3.diff.gz
 63a424f068caaed610d73814ca92d9a4 13268564 devel optional ecos_2.0-0pre3_all.deb
 8648b8f054e6742bd17274335b336ff0 1464840 doc optional ecos-doc_2.0-0pre3_all.deb
 31dae21219f8447dd1e084dfbdd81622 2117840 devel optional ecosconfig_2.0-0pre3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDCkO5UTeB5t8Mo0RArYnAJ9CcGh/oJwVPLIUQ+0oJOsY73XTpACfSxh5
HbDQPcGi3rN476zaKO6CONM=
=lse4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:39:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:59:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.